Core
Framework v2.x
2

constructor #

Constructor method of the Plugin abstract class. It must be called with a PluginManifest.

Arguments #

Copied to clipboard!
constructor (manifest: PluginManifest);

Argument Type Description
manifest
PluginManifest
PluginManifest instance

The manifest contains the following properties:

  • kuzzleVersion: a non-empty string describing a semver range (opens new window), limiting the range of Kuzzle versions supported by this plugin. If not set, a warning is displayed on the console, and Kuzzle assumes that the plugin is only compatible with Kuzzle v2.x

Usage #

Copied to clipboard!
import { Plugin } from 'kuzzle';

class EmailPlugin extends Plugin {
  constructor () {
    super({ kuzzleVersion: '>=2.8.0 <3' });
  }
}